This is a python script to "dtrsync" data from esarchive to gpfs that is needed to run a specific ESMValTool recipe.

The way to run it is:

```
python copy_data_between_filesystems.py --recipe=<path_to_esmval_recipe.yml> [OPTIONAL --origin=<path to the begining of the cmorized data> --destination=<where to copy the files in a cmorised directory structure>]
```

**THINGS:**

- **IMPORTANT!**: The `short_name` key must be explicit in the defined variables (see the example recipe `./recipe_test.yml`)

- It looks for the data in the same "CMOR" data structure as in esarchive. i.e.: `ORIGIN/{exp}/{dataset}/{activity}/{institute}/{dataset}/{exp}/{ensemble}/{mip}/{short_name}/{grid}/{version}`

- **What is dtrsync?** See the end of the wiki page: https://earth.bsc.es/wiki/doku.php?id=library:best_practices&s[]=dtrsync

